> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a webhook



## OpenAPI

````yaml /openapi.json put /api/webhooks/{id}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/webhooks/{id}:
    put:
      tags:
        - webhooks
      summary: Update a webhook
      operationId: WebhookController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWebhookDto'
      responses:
        '200':
          description: Webhook updated successfully
components:
  schemas:
    UpdateWebhookDto:
      type: object
      properties:
        topic:
          type: string
        url:
          type: string
          format: uri
          maxLength: 255
        secret:
          type: string
          maxLength: 255
          nullable: true
        active:
          type: boolean
        hidden:
          type: boolean
        filters:
          type: object
          properties:
            channelIds:
              type: array
              minItems: 1
              maxItems: 50
              items:
                type: string
                minLength: 1
          nullable: true
        headers:
          type: object
          additionalProperties:
            type: string
            maxLength: 1024
          nullable: true
      required:
        - filters
        - headers

````